Subject: Re: linux-next: manual merge of the rpmsg tree with the devicetree tree

From: Arnaud POULIQUEN <[email-masked]>
Date: Fri, 22 Nov 2019 09:55:37 +0100

Hi Stephen,

Thanks for the information. So i need to send an extra patch to add the missing
property in the yaml file
Not critical as this new property is not in the DTS file for the time being,
dtbs_check does not fail  

Regards
Arnaud

On 11/22/19 4:50 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rpmsg tree got a conflict in:
> 
>   Documentation/devicetree/bindings/remoteproc/stm32-rproc.txt
> 
> between commit:
> 
>   34376eb1b084 ("dt-bindings: remoteproc: convert stm32-rproc to json-schema")
> 
> from the devicetree tree and commit:
> 
>   14ea1d04ed0f ("dt-bindings: remoteproc: stm32: add wakeup-source")
> 
> from the rpmsg tree.
> 
> I fixed it up (I just deleted the file - more updates may be required)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.
>